Bug 50290 - vanilla apache 2.2.17 installation crashes (lib-apr1.dll)
Summary: vanilla apache 2.2.17 installation crashes (lib-apr1.dll)
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Core (show other bugs)
Version: 2.2.17
Hardware: PC Windows XP
: P2 normal with 3 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-11-18 04:47 UTC by jordi.benaiges
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments
the 1 thread process (251.35 KB, application/x-zip)
2010-11-18 04:47 UTC, jordi.benaiges
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jordi.benaiges 2010-11-18 04:47:23 UTC
Created attachment 26307 [details]
the 1 thread process

Hi,

I'm trying to install an apache 2.2.17 in a Windows XP __Embedded__, SP3. (not appearing in the OS combo box, although it should be the same as XP SP3 without some components)

When httpd.exe is run, the program crashes some seconds later. 


I've tried to follow the instructions at http://httpd.apache.org/dev/debugging.html but there are some differences between the description and my system (I suppose it's because it crashes just at the start)

"The parent process has about three threads, we don't care about that one. The child worker process we want has many more threads"

In my embedded computer, I have 1 httpd.exe process with 4 threads, and another httpd.exe process with only 1 thread.


The process with only 1 thread minidump is attached as "1thread.zip"

The process with 4 threads gives me an error while drwatson-dumping: "The requested operation failed", however it generates another dump attached as "4thread.zip"

I'm also including the default windows dump just in case it's useful.


If anything more is needed, don't hesitate to contact me

Thanks,
Jordi

p.s. The same problem appears with 2.0.x latest version.
Comment 1 jordi.benaiges 2010-11-22 03:36:17 UTC
I think I messed with important. As it's a crash it should be 'critical', however I don't know how to change it.
Comment 2 William A. Rowe Jr. 2010-11-29 18:10:46 UTC
Don't take the debugging.html instructions so literally.  Set up Dr. Watson to write the dump and drwatson log file to disk.  Track down those files after the crash-at-startup.  Share the drwatson log file with us.

Embedded hasn't been tested AFAIK, which may mean it is too hobbled to work.  OTOH, never heard of anyone having problems, either, so it's quite possible that others have gotten this to work.  In any case, without more details to go on, this case is not critical.  Voting has no effect in this tracker, as this is not a democracy, but a do-ocracy
Comment 3 William A. Rowe Jr. 2018-11-07 21:08:57 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.